<div class="search-page">
  <div class="cover-page">
    <div class="top-page">
      <h2>Electric Properties</h2>
    </div>
    <!-- end/top page -->
    <div class="cover-content">
      <div class="detail-content">
        <span class="title-content">Search Core Samples</span>
        <div class="cover-input">
          <electric-autocomplete
            [placeholder]="'Sample # or Well name...'"
            (callback)="callbackAutocomplete($event)"
          ></electric-autocomplete>
        </div>
        <!-- end/cover input -->
      </div>
      <!-- end/detail content -->
    </div>
    <!-- end/cover content -->
    <div class="bottom-page">
      <span class="title-bottom">Add new sample</span>
      <div class="cover-btn">
        <div class="cover-input">
          <mat-form-field [ngClass]="{ error: isError }" class="input-container" appearance="outline">
            <input
              (focus)="isError = false"
              matInput
              placeholder="Type new sample name..."
              [(ngModel)]="newSampleName"
            />
          </mat-form-field>
        </div>
        <!-- end/cover input -->
        <button mat-button class="btn-new" (click)="newSample()">
          New Sample
        </button>
      </div>
      <!-- end/cover btn -->
    </div>
  </div>
  <!-- end/cover page -->
</div>
<!-- end/search page -->
